    # File lib/yard/server/commands/display_object_command.rb, line 8
            def run
              if path.empty?
                if options.readme
                  url = url_for_file(options.readme)
                  self.status, self.headers, self.body = *router.send(:route, url)
                  cache(body.first)
                  return
                else
                  self.path = 'index'
                end
              end
              return index if path == 'index'

              if object = Registry.at(object_path)
                options.update(:type => :layout)
                render(object)
              else
                self.status = 404
              end
            end